org.eclipse.ease.lang.javascript

## Class JavaScriptModuleWrapper

- java.lang.Object
- - org.eclipse.ease.modules.AbstractModuleWrapper
  - - org.eclipse.ease.lang.javascript.JavaScriptModuleWrapper

All Implemented Interfaces:
  IModuleWrapper

    public class JavaScriptModuleWrapper
    extends AbstractModuleWrapper

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.modules.AbstractModuleWrapper

`AbstractModuleWrapper.Parameter`

### Field Summary

Fields
`static List<String>` `RESERVED_KEYWORDS`

### Constructor Summary

Constructors
Constructor and Description
`JavaScriptModuleWrapper()`

### Method Summary

Methods
`String` `classInstantiation(Class<?> clazz, String[] parameters)`
`String` `createFunctionWrapper(IEnvironment environment, String moduleVariable, Method method)`
`String` `createStaticFieldWrapper(IEnvironment environment, String moduleVariable, Field field)`
`String` `getSaveVariableName(String variableName)`

### Methods inherited from class org.eclipse.ease.modules.AbstractModuleWrapper

`getMethodNames, getPostExecutionCode, getPreExecutionCode, parseParameters`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RESERVED_KEYWORDS

    public static List<String> RESERVED_KEYWORDS

### Constructor Detail

#### JavaScriptModuleWrapper

    public JavaScriptModuleWrapper()

### Method Detail

#### classInstantiation

    public String classInstantiation(Class<?> clazz,
                            String[] parameters)

#### createFunctionWrapper

    public String createFunctionWrapper(IEnvironment environment,
                               String moduleVariable,
                               Method method)

#### createStaticFieldWrapper

    public String createStaticFieldWrapper(IEnvironment environment,
                                  String moduleVariable,
                                  Field field)

#### getSaveVariableName

    public String getSaveVariableName(String variableName)